import React from "react";

const SemiCircleProgress = () => {
  const progress = 50;
  const clampedProgress = Math.min(Math.max(progress, 0), 100);
  const gradientProgress = clampedProgress * 0.5;

  return (
    <div className="semi-circle-wrapper">
      <div
        className="semi-circle"
        style={{
          background: `conic-gradient(from 270deg, skyblue 0% ${gradientProgress}%, lightgray ${gradientProgress}% 100%)`,
        }}
      >
        <div className="progress-cover"></div>
      </div>
      <div className="label-wrapper">
        <div className="label">{clampedProgress}%</div>
        <div className="label-content">Years</div>
      </div>
      <div className="content">you're on track to hit it by July 2029</div>
    </div>
  );
};

export default SemiCircleProgress;
