import React from 'react'
import RoboticArmInstance from './armInstance/roboticArmInstance';
import { useArmBotStore } from '../../../../store/simulation/useArmBotStore';

function RoboticArmInstances() {
    const { armBots } = useArmBotStore();

    return (
        <>
            {armBots?.map((robot: ArmBotStatus) => (
                <RoboticArmInstance key={robot.modelUuid} robot={robot} />
            ))}

        </>
    )
}

export default RoboticArmInstances;