import React from 'react'
import VehicleInstance from './instance/vehicleInstance'
import { useVehicleStore } from '../../../../store/simulation/useVehicleStore'

function VehicleInstances() {

    const { vehicles } = useVehicleStore();

    return (
        <>

            {vehicles.map((val: any, i: any) =>

                <VehicleInstance agvDetail={val} key={i} />

            )}

        </>
    )
}

export default VehicleInstances